org.apache.cassandra.index

## Class Index.CollatedViewIndexBuildingSupport

- java.lang.Object
- - org.apache.cassandra.index.Index.CollatedViewIndexBuildingSupport

All Implemented Interfaces:
  Index.IndexBuildingSupport

Enclosing interface:
  Index

    public static class Index.CollatedViewIndexBuildingSupport
    extends java.lang.Object
    implements Index.IndexBuildingSupport

Default implementation of `IndexBuildingSupport` which uses a `ReducingKeyIterator` to obtain a collated view of the data in the SSTables.

### Constructor Summary

Constructors
Constructor and Description
`CollatedViewIndexBuildingSupport()`

### Method Summary

All Methods Instance Methods Concrete Methods
`SecondaryIndexBuilder` `getIndexBuildTask(ColumnFamilyStore cfs, java.util.Set<Index> indexes, java.util.Collection<SSTableReader> sstables)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CollatedViewIndexBuildingSupport

    public CollatedViewIndexBuildingSupport()

### Method Detail

#### getIndexBuildTask

    public SecondaryIndexBuilder getIndexBuildTask(ColumnFamilyStore cfs,
                                                   java.util.Set<Index> indexes,
                                                   java.util.Collection<SSTableReader> sstables)

Specified by:
  `getIndexBuildTask` in interface `Index.IndexBuildingSupport`